%
% anyremote configuration file for kplayer management. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND app
% ENV no
% FBROWSER v.3i
% DEF_VIDEO_PLAYER   
% ALL_IN_ONE 

GuiAppName=Kplayer
GuiAppBinary=kplayer
GuiAppRun=echo 'A=`qdbus 2> /dev/null|grep kplayer`; if [ "x$A" = "x" ]; then echo NOK; else echo OK; fi'|sh -s
GuiAppIcon=kplayer.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=KPlayer is a KDE multimedia player.
GuiAppVersion=echo 'V=`kplayer -v|grep KDE|tr -d " "|cut -f 2 -d ":"|cut -f 1 -d "."`; if [ "x$V" = "x4" ]; then echo OK; else echo NOK; fi'|sh -s

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);\
	Include($(CfgDir)/Utils/aliases-server-fbrowser-v3i.cfg);\
	Include($(CfgDir)/Utils/aliases-server-video-player.cfg);\
	Make(var,kde4_app,by_value,kplayer);\
	Macro(TEST_KDE4_APP);\
	Make(var,app_name,by_value,Kplayer);\
	Make(var,open_file,by_value,);\
	Make(var,app_manage_mode,by_value,kplayer);

(Connect)=\
	Make(mode,kplayer_init);

[Mode]=kplayer_init : default_video_player_init

APP_IS_RUN=\
	Make(var,app_run,A=`qdbus 2> /dev/null|grep kplayer`; if [ "x$A" = "x" ]; then echo 0; else echo 1; fi);

[ModeEnd]

[Mode]=kplayer : default_video_player

% (EnterMode) by Utils/aliases-server-video-player.cfg

APP_START_IF=\
	Set(title,$(open_file));\
	Exec(P=`qdbus|grep kplayer`; if [ "x$P" = "x" ]; then cd "`cat $HOME/.anyRemote/ar_storedir.tmp`"; kplayer $(open_file) 2> /dev/null & fi);

% Application window should be present in output of "wmctrl -l"
APP_RAISE=\
	Exec($(CfgDir)/Utils/run-or-switch-to.sh -switch kplayer);

APP_QUIT=\
	Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction file_quit 2> /dev/null;killall mplayer 2> /dev/null);

APP_FULLSCREEN=\
	Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction view_full_screen > /dev/null);

% Override
1=Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction audio_volume_down > /dev/null)
2=Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction audio_mute > /dev/null)
3=Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction audio_volume_up > /dev/null)

PLAY=Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction player_play > /dev/null);
RWD=Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction player_backward > /dev/null)
FF=Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction player_forward > /dev/null)
STOP=Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction player_stop > /dev/null)
PAUSE=Exec(qdbus net.sourceforge.kplayer /kplayer/MainWindow_1 activateAction player_pause > /dev/null)

[ModeEnd]

[End]
